org.apache.myfaces.trinidad.view

## Class ViewDeclarationLanguageWrapper

- java.lang.Object
- - javax.faces.view.ViewDeclarationLanguage
  - - org.apache.myfaces.trinidad.view.ViewDeclarationLanguageWrapper

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.view.ViewDeclarationLanguage>

      public abstract class ViewDeclarationLanguageWrapper
      extends javax.faces.view.ViewDeclarationLanguage
      implements javax.faces.FacesWrapper<javax.faces.view.ViewDeclarationLanguage>

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.ViewDeclarationLanguage

      `FACELETS_VIEW_DECLARATION_LANGUAGE_ID, JSP_VIEW_DECLARATION_LANGUAGE_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewDeclarationLanguageWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildView(javax.faces.context.FacesContext context, javax.faces.component.UIViewRoot root)`
    `javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext context, String viewId)`
    `BeanInfo` | `getComponentMetadata(javax.faces.context.FacesContext context, javax.faces.application.Resource componentResource)`
    `String` | `getId()`
    `javax.faces.application.Resource` | `getScriptComponentResource(javax.faces.context.FacesContext context, javax.faces.application.Resource componentResource)`
    `javax.faces.view.StateManagementStrategy` | `getStateManagementStrategy(javax.faces.context.FacesContext context, String viewId)`
    `javax.faces.view.ViewMetadata` | `getViewMetadata(javax.faces.context.FacesContext context, String viewId)`
    `abstract javax.faces.view.ViewDeclarationLanguage` | `getWrapped()`
    `void` | `renderView(javax.faces.context.FacesContext context, javax.faces.component.UIViewRoot view)`
    `javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext context, String viewId)`
    `void` | `retargetAttachedObjects(javax.faces.context.FacesContext context, javax.faces.component.UIComponent topLevelComponent, List<javax.faces.view.AttachedObjectHandler> handlers)`
    `void` | `retargetMethodExpressions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent topLevelComponent)`
    `boolean` | `viewExists(javax.faces.context.FacesContext context, String viewId)`

    - ### Methods inherited from class javax.faces.view.ViewDeclarationLanguage

      `calculateResourceLibraryContracts, createComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewDeclarationLanguageWrapper

          public ViewDeclarationLanguageWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract javax.faces.view.ViewDeclarationLanguage getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.view.ViewDeclarationLanguage>`

    - #### getComponentMetadata

          public BeanInfo getComponentMetadata(javax.faces.context.FacesContext context,
                                      javax.faces.application.Resource componentResource)

      Specified by:
        `getComponentMetadata` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### getViewMetadata

          public javax.faces.view.ViewMetadata getViewMetadata(javax.faces.context.FacesContext context,
                                                      String viewId)

      Specified by:
        `getViewMetadata` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### getScriptComponentResource

          public javax.faces.application.Resource getScriptComponentResource(javax.faces.context.FacesContext context,
                                                                    javax.faces.application.Resource componentResource)

      Specified by:
        `getScriptComponentResource` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### createView

          public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext context,
                                                    String viewId)

      Specified by:
        `createView` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### restoreView

          public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext context,
                                                     String viewId)

      Specified by:
        `restoreView` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### retargetAttachedObjects

          public void retargetAttachedObjects(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent topLevelComponent,
                                     List<javax.faces.view.AttachedObjectHandler> handlers)

      Overrides:
        `retargetAttachedObjects` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### retargetMethodExpressions

          public void retargetMethodExpressions(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent topLevelComponent)

      Overrides:
        `retargetMethodExpressions` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### buildView

          public void buildView(javax.faces.context.FacesContext context,
                       javax.faces.component.UIViewRoot root)
                         throws IOException

      Specified by:
        `buildView` in class `javax.faces.view.ViewDeclarationLanguage`
      Throws:
        `IOException`

    - #### renderView

          public void renderView(javax.faces.context.FacesContext context,
                        javax.faces.component.UIViewRoot view)
                          throws IOException

      Specified by:
        `renderView` in class `javax.faces.view.ViewDeclarationLanguage`
      Throws:
        `IOException`

    - #### getStateManagementStrategy

          public javax.faces.view.StateManagementStrategy getStateManagementStrategy(javax.faces.context.FacesContext context,
                                                                            String viewId)

      Specified by:
        `getStateManagementStrategy` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### viewExists

          public boolean viewExists(javax.faces.context.FacesContext context,
                           String viewId)

      Overrides:
        `viewExists` in class `javax.faces.view.ViewDeclarationLanguage`

    - #### getId

          public String getId()

      Overrides:
        `getId` in class `javax.faces.view.ViewDeclarationLanguage`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.